maven-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Andy Jefferson <a...@ajsoft.net>
Subject Re: dependency version (Newbie)
Date Mon, 25 Aug 2003 20:43:45 GMT
On Monday 25 Aug 2003 20:59, Andrew Boyd wrote:
> Hi,
>   I have the following jars
> jboss-common.jar
> jboss-jmx-core.jar
> jboss-jmx-services.jar
> jboss-jmx.jar
>
> Since Maven requires a version I wrote my dependencies as such:
>         <dependency>
>             <groupId>jmx</groupId>
>             <artifactId>jboss</artifactId>
> 	    <version>common</version>
>         </dependency>
>         <dependency>
>             <groupId>jmx</groupId>
>             <artifactId>jboss</artifactId>
> 	    <version>jmx</version>
>         </dependency>
>         <dependency>
>             <groupId>jmx</groupId>
>             <artifactId>jboss-jmx</artifactId>
> 	    <version>core</version>
>         </dependency>
>         <dependency>
>             <groupId>jmx</groupId>
>             <artifactId>jboss-jmx</artifactId>
> 	    <version>services</version>
>         </dependency>

Try swapping round the group id and artifact id ... the groupId should be 
"jboss" and the artifact id things like jboss-jmx, jboss-common. The 
'version' is not 'jmx' it is something like 3.2.1, 3.0.4 etc. Look at 
www.ibiblio.org/maven and see what is in the remote repository.


-- 
Andy


---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@maven.apache.org
For additional commands, e-mail: users-help@maven.apache.org


Mime
View raw message